# FdoMySQLOvClassDefinition Class Reference

`#include <MySqlOvClassDefinition.h>`

Inheritance diagram for FdoMySQLOvClassDefinition:

[legend]

List of all members.

## Detailed Description

Concrete class defining physical schema overrides for a class definition.

Definition at line 31 of file MySqlOvClassDefinition.h.

## Public Member Functions
FDOMYSQL_OV_API FdoString * | GetAutoIncrementPropertyName (void)
| Gets which FDO property corresponds to the single MySQL auto-increment column.
FDOMYSQL_OV_API FdoInt64 | GetAutoIncrementSeed (void)
| The initial value to use for the first row in the auto-increment column, if any.
FDOMYSQL_OV_API FdoMySQLOvPropertyDefinitionCollection * | GetProperties ()
| Gets a collection of MySQL property overrides.
FDOMYSQL_OV_API FdoMySQLOvTable * | GetTable ()
| Gets the MySQL table override for this class override.
FDOMYSQL_OV_API void | SetAutoIncrementPropertyName (FdoString *autoIncrementPropertyName)
| Which FDO property maps to an MySQL auto-increment column, if any.
FDOMYSQL_OV_API void | SetAutoIncrementSeed (FdoInt64 autoIncrementSeed)
| Sets the initial value to use for the first row in the auto-increment column, if any.
FDOMYSQL_OV_API void | SetTable (FdoMySQLOvTable *table)
| Sets the MySQL table override for this class override.
## Static Public Member Functions
static FDOMYSQL_OV_API FdoMySQLOvClassDefinition * | Create (FdoString *name)
| Constructs an instance of an FdoMySQLOvClassDefinition using the specified arguments.
static FDOMYSQL_OV_API FdoMySQLOvClassDefinition * | Create ()
| Constructs a default of an FdoMySQLOvClassDefinition.
## Protected Member Functions
virtual void | AddProperty (FdoRdbmsOvPropertyDefinition *pProp)
| Add the given property override to this class override.
virtual FdoRdbmsOvDataPropertyDefinition * | CreateDataProperty (FdoXmlSaxContext *context, FdoXmlAttributeCollection *propAtts, FdoXmlAttributeCollection *colAtts)
| Create data property override from XML attributes.
virtual FdoRdbmsOvGeometricPropertyDefinition * | CreateGeometricProperty (FdoXmlSaxContext *context, FdoXmlAttributeCollection *propAtts, FdoXmlAttributeCollection *colAtts)
| Create geometric property override from XML attributes.
virtual FdoRdbmsOvObjectPropertyDefinition * | CreateObjectProperty (FdoXmlSaxContext *context, FdoXmlAttributeCollection *propAtts, FdoString *mappingType, FdoXmlAttributeCollection *mappingAtts)
| Create object property override from XML attributes.
virtual void | Dispose ()
| FdoMySQLOvClassDefinition (FdoString *name)
| FdoMySQLOvClassDefinition ()
void | Init ()
virtual void | SetTable (FdoXmlSaxContext *context, FdoXmlAttributeCollection *atts)
| Create table override from XML attributes.
virtual | ~FdoMySQLOvClassDefinition ()

The documentation for this class was generated from the following file:

- MySqlOvClassDefinition.h